]> granicus.if.org Git - pdns/commitdiff
Add pdns-backend-opendbx package to debian
authorPieter Lexis <pieter.lexis@powerdns.com>
Wed, 28 Oct 2015 11:40:58 +0000 (12:40 +0100)
committerPieter Lexis <pieter.lexis@powerdns.com>
Wed, 28 Oct 2015 15:30:48 +0000 (16:30 +0100)
build-scripts/debian-authoritative/config/pdns.local.opendbx.conf [new file with mode: 0644]
build-scripts/debian-authoritative/control
build-scripts/debian-authoritative/pdns-backend-opendbx.examples [new file with mode: 0644]
build-scripts/debian-authoritative/pdns-backend-opendbx.install [new file with mode: 0644]
build-scripts/debian-authoritative/pdns-backend-opendbx.postinst [new file with mode: 0644]
build-scripts/debian-authoritative/pdns-backend-opendbx.prerm [new file with mode: 0644]
build-scripts/debian-authoritative/rules

diff --git a/build-scripts/debian-authoritative/config/pdns.local.opendbx.conf b/build-scripts/debian-authoritative/config/pdns.local.opendbx.conf
new file mode 100644 (file)
index 0000000..3de13a9
--- /dev/null
@@ -0,0 +1,22 @@
+# OpenDBX Configuration
+#
+# The backend to use
+# opendbx-backend=
+#
+# The database host to read from
+# opendbx-host-read=
+#
+# The database host to write to
+# opendbx-host-write=
+#
+# The port on which the database hosts listen
+# opendbx-port=
+#
+# The name of the database
+# opendbx-database=
+#
+# The username to connect to the database
+# opendbx-username=
+#
+# The password to connect to the database
+# opendbx-password
index cf1ff99dfb4a1b70b3a38d8b28676309b30996c7..72bc357f9d3e69c53d4de32525090b081c84e77e 100644 (file)
@@ -4,7 +4,7 @@ Priority: extra
 Standards-Version: 3.9.6
 Maintainer: PowerDNS Autobuilder <powerdns.support@powerdns.com>
 Origin: PowerDNS
-Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-systemd, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite3-dev, dpkg-dev (>= 1.17.0~), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, libboost-test-dev, autotools-dev, automake, autoconf, liblua5.2-dev, pkg-config, libcrypto++-dev, ragel, libgmp-dev, libbotan1.10-dev, libcurl4-openssl-dev, libzmq-dev, liblmdb-dev, libyaml-cpp-dev (>= 0.5), libgeoip-dev
+Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-systemd, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite3-dev, dpkg-dev (>= 1.17.0~), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, libboost-test-dev, autotools-dev, automake, autoconf, liblua5.2-dev, pkg-config, libcrypto++-dev, ragel, libgmp-dev, libbotan1.10-dev, libcurl4-openssl-dev, libzmq-dev, liblmdb-dev, libyaml-cpp-dev (>= 0.5), libgeoip-dev, libopendbx1-dev
 Homepage: http://www.powerdns.com/
 
 Package: pdns-server
@@ -183,6 +183,20 @@ Description: remote backend for PowerDNS
  This package contains the remote backend for PowerDNS. It is suitable
  for serving data acquired from an AF_UNIX, pipe, or HTTP connector.
 
+Package: pdns-backend-opendbx
+Architecture: any
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: pdns-backend
+Description: OpenDBX backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains the OpenDBX backend for PowerDNS. Please install
+ the libopendbx1-DATABASE package to allow OpenDBX to connect to
+ the chosen database.
+
 Package: pdns-backend-mydns
 Architecture: any
 Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
diff --git a/build-scripts/debian-authoritative/pdns-backend-opendbx.examples b/build-scripts/debian-authoritative/pdns-backend-opendbx.examples
new file mode 100644 (file)
index 0000000..08fcc7a
--- /dev/null
@@ -0,0 +1 @@
+debian/config/pdns.local.opendbx.conf
diff --git a/build-scripts/debian-authoritative/pdns-backend-opendbx.install b/build-scripts/debian-authoritative/pdns-backend-opendbx.install
new file mode 100644 (file)
index 0000000..bc796d1
--- /dev/null
@@ -0,0 +1 @@
+usr/lib/*/pdns/libopendbxbackend.so*
diff --git a/build-scripts/debian-authoritative/pdns-backend-opendbx.postinst b/build-scripts/debian-authoritative/pdns-backend-opendbx.postinst
new file mode 100644 (file)
index 0000000..21cca4b
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# postinst script for pdns-backend-opendbx
+
+set -e
+
+if [ -n "$PDNSDEBUG" ]; then
+  echo "now debugging $0 $@"
+  set -x
+fi
+
+# Activate trigger
+dpkg-trigger pdns-server
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/build-scripts/debian-authoritative/pdns-backend-opendbx.prerm b/build-scripts/debian-authoritative/pdns-backend-opendbx.prerm
new file mode 100644 (file)
index 0000000..3298654
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# Add call to init script to actually stop pdns.
+
+set -e
+
+if [ -x "/etc/init.d/pdns" ]; then
+       invoke-rc.d pdns stop || exit $?
+fi
+
+#DEBHELPER#
+
+exit 0
+
index c8a4250059c8202aa9ffaff3d0473c97303d8d9e..d838c6dc59566292c43cf91603ed0382177909d4 100755 (executable)
@@ -5,7 +5,7 @@ version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Ve
 CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Backends
-backends := bind ldap pipe gmysql gpgsql gsqlite3 geoip lua mydns remote random
+backends := bind ldap pipe gmysql gpgsql gsqlite3 geoip lua mydns remote random opendbx
 
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)